import { html as c } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (a, t, i, o) => {
  for (var e = o > 1 ? void 0 : o ? g(t, i) : t, r = a.length - 1, l; r >= 0; r--)
    (l = a[r]) && (e = (o ? l(t, i, e) : l(e)) || e);
  return o && e && f(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--navigationCollapse", this.class = "c-pieIcon c-pieIcon--navigationCollapse", this.name = "IconNavigationCollapse";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--navigationCollapse"><path d="M2.32 2.373V13.45h8.64a3.325 3.325 0 0 0 3.331-3.322V2.373H2.321Zm1.338 1.33h1.33v8.417h-1.33V3.702Zm9.304 6.423a1.994 1.994 0 0 1-1.994 1.994H6.317V3.702h6.645v6.425Z"></path><path d="M11.793 9.666v-3.5L9.188 7.99l2.605 1.675Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  v("icon-navigation-collapse")
], s);
export {
  s as IconNavigationCollapse
};
